set CERTFILE=c:\data\certs\sgw_certificate.pem
set CHAINFILE=c:\data\certs\sgw_chain.pem

SET OCSP_RESPONSE=C:\data\certs\good_ocsp_resp.der
SET files_present=0
SET ocsp_responder_url=""
SET OCSP_CHECK_LOGFILE=C:\data\logs\ocsp.log

echo ================================================= >> %OCSP_CHECK_LOGFILE%
echo %date% %time% >> %OCSP_CHECK_LOGFILE%

if exist %CERTFILE% ( if exist %CHAINFILE% ( SET files_present=1 ) )

IF %files_present% == 1 (
  openssl x509 -noout -ocsp_uri -in %CERTFILE% > ocsp_endpoint.txt
  SET /p ocsp_responder_url=< ocsp_endpoint.txt
  echo "ocsp_responder_url = %ocsp_responder_url%" >> %OCSP_CHECK_LOGFILE%
) ELSE (
  echo "Certificate %CERTFILE% OR %CHAINFILE% is missing. Cannot generate OCSP response." >> %OCSP_CHECK_LOGFILE%
)

IF %ocsp_responder_url% == "" (
  echo "No OCSP Responder Found, starting the server in Self Signed Mode.." >> %OCSP_CHECK_LOGFILE%
) ELSE (
  openssl ocsp -issuer %CHAINFILE% -cert %CERTFILE% -verify_other %CHAINFILE% -CAfile %CHAINFILE% -no_nonce -url %ocsp_responder_url% -respout %OCSP_RESPONSE%
)

echo ================================================= >> %OCSP_CHECK_LOGFILE%
